/// <reference types="node" />
import { Device } from "appium-grid-common";
import { EventEmitter } from "events";
import { IDeviceRepository, IDeviceTracker } from "./types";
export declare class DeviceManager implements IDeviceRepository {
    private deviceTracker;
    private pluginEventEmitter;
    private deviceMap;
    constructor(deviceTracker: IDeviceTracker, pluginEventEmitter: EventEmitter);
    addDevice(device: Device): void;
    removeDevice(deviceId: string): void;
    blockDevice({ deviceUdid, sessionId }: {
        deviceUdid: string;
        sessionId?: string;
    }): void;
    unBlockDevice({ deviceUdid }: {
        deviceUdid: string;
    }): void;
    getDevices(): Array<Device>;
}
//# sourceMappingURL=device-manager.d.ts.map