/// <reference types="node" />
import { Device, Platform, DeviceDisplayInfo } from "appium-grid-common";
import { IAppInstallationReciever, IDeviceLogReciever, IDeviceShellDataReciever, IStreamReciever } from "../../../types";
import { RemoteControlHandler } from "../remote-control-handler";
export declare class AndroidRemoteDeviceController extends RemoteControlHandler {
    private device;
    private streamAvailable;
    private logsAvailabe;
    private shellAvailable;
    private controlSupported;
    private streamStarted;
    private controlStarted;
    private logsStarted;
    private shellStarted;
    private streamListener;
    private logListener;
    private shellListener;
    private androidDevice;
    private scrcpyServer;
    private adb;
    private config;
    private androidLogger;
    private androidShell;
    private apkInstaller;
    private ws;
    private executeLock;
    private screenInfo;
    constructor(device: Device);
    startLogs(): Promise<boolean>;
    stopLogs(): Promise<void>;
    startShell(): Promise<boolean>;
    stopShell(): Promise<void>;
    isLogsStarted(): boolean;
    isShellStarted(): boolean;
    getScreenInfo(): DeviceDisplayInfo;
    getConrolInfo(): Promise<never[]>;
    getSupportedPlatform(): Platform[];
    isStreamSuported(): Promise<boolean>;
    isLogsSuported(): Promise<boolean>;
    isShellSupported(): Promise<boolean>;
    isControllSupported(): Promise<boolean>;
    isStreamStarted(): boolean;
    startStream(): Promise<boolean>;
    stopStream(): Promise<void>;
    isControlStarted(): boolean;
    startControl(): Promise<boolean>;
    stopControl(): Promise<void>;
    stopAll(): Promise<void>;
    runShellCommand(command: string): void;
    addStreamListener(id: string, listener: IStreamReciever): void;
    removeStreamListener(id: string): void;
    addLogsListener(id: string, listener: IDeviceLogReciever): void;
    addShellListener(id: string, listener: IDeviceShellDataReciever): void;
    removeLogsListener(id: string): void;
    removeShellListener(id: string): void;
    initialize(): Promise<boolean>;
    installApp(app: Buffer, requestId: string, listener: IAppInstallationReciever): Promise<void>;
    executeControlMessage(message: any): Promise<void>;
    private onScrcpyMessage;
    private onScrcpyConnectionClosed;
}
//# sourceMappingURL=android-remote-controller.d.ts.map