/// <reference types="node" />
import { Device, DeviceDisplayInfo, WebdriverCapability } from "appium-grid-common";
import { IAppInstallationReciever, IDeviceLogReciever, IDeviceShellDataReciever, IStreamReciever } from "../../../types";
import { RemoteControlHandler } from "../remote-control-handler";
export declare class IosRemoteControl extends RemoteControlHandler {
    private device;
    private realDevice;
    private streamDecoder;
    private actionController;
    private streamStarted;
    private controlStarted;
    private screenInfo;
    private wdaProxy;
    private goIosClient;
    private streamListener;
    private logListener;
    constructor(device: Device);
    startLogs(): Promise<boolean>;
    stopLogs(): Promise<void>;
    startShell(): Promise<boolean>;
    stopShell(): Promise<void>;
    isLogsStarted(): boolean;
    isShellStarted(): boolean;
    initialize(): Promise<boolean>;
    private startWda;
    private sessionCreated;
    isStreamSuported(): Promise<boolean>;
    isLogsSuported(): Promise<boolean>;
    isShellSupported(): Promise<boolean>;
    isControllSupported(): Promise<boolean>;
    startStream(): Promise<boolean>;
    stopStream(): Promise<void>;
    startControl(): Promise<boolean>;
    stopControl(): Promise<void>;
    stopAll(): Promise<void>;
    isStreamStarted(): boolean;
    isControlStarted(): boolean;
    runShellCommand(command: string): void;
    installApp(app: Buffer, requestId: string, listener: IAppInstallationReciever): Promise<void>;
    executeControlMessage(message: any): Promise<void>;
    getScreenInfo(): DeviceDisplayInfo;
    getConrolInfo(): Promise<any>;
    addStreamListener(id: string, listener: IStreamReciever): void;
    removeStreamListener(id: string): void;
    addLogsListener(id: string, listener: IDeviceLogReciever): void;
    removeLogsListener(id: string): void;
    addShellListener(id: string, listener: IDeviceShellDataReciever): void;
    removeShellListener(id: string): void;
    updateCapability(capability: WebdriverCapability): Promise<void>;
}
//# sourceMappingURL=index.d.ts.map