/// <reference types="node" />
import { Device } from "appium-grid-common";
import EventEmitter from "events";
import { IDeviceTracker } from "../../types";
export declare abstract class MobileDeviceTracker extends EventEmitter implements IDeviceTracker {
    private initialized;
    private deviceCache;
    onDeviceAdded(cb: (device: Device) => any): IDeviceTracker;
    onDeviceRemoved(cb: (device: Device) => any): IDeviceTracker;
    abstract initialize(): Promise<void>;
    protected setInitialized(state: boolean): void;
    isInitialized(): boolean;
    protected addDevice(devices: Array<Device>): void;
    protected hasDevice(deviceUdid: string): boolean;
    protected removeDevices(deviceUdids: Array<string>): void;
    protected getDevice(deviceUdid: string): Device | undefined;
    protected getAllDevices(): Array<Device>;
}
//# sourceMappingURL=base-device-tracker.d.ts.map